# __gnu_parallel::_Less< _T1, _T2 > Struct Template Reference

Similar to std::less, but allows two different types. More...

Inheritance diagram for __gnu_parallel::_Less< _T1, _T2 >:
[legend]

List of all members.

## Public Types

- typedef _T1 first_argument_type
- typedef bool result_type
- typedef _T2 second_argument_type

## Public Member Functions

- bool operator() (const _T1 &__t1, const _T2 &__t2) const
- bool operator() (const _T2 &__t2, const _T1 &__t1) const

## Detailed Description

### template<typename _T1, typename _T2>
struct __gnu_parallel::_Less< _T1, _T2 >

Similar to std::less, but allows two different types.

Definition at line 252 of file parallel/base.h.

## Member Typedef Documentation

typedef _T1 std::binary_function< _T1 , _T2 , bool >::first_argument_type `[inherited]`

the type of the first argument /// (no surprises here)

Definition at line 114 of file stl_function.h.

typedef bool std::binary_function< _T1 , _T2 , bool >::result_type `[inherited]`

type of the return type

Definition at line 118 of file stl_function.h.

typedef _T2 std::binary_function< _T1 , _T2 , bool >::second_argument_type `[inherited]`

the type of the second argument

Definition at line 117 of file stl_function.h.

The documentation for this struct was generated from the following file:

- parallel/base.h